package com.gree.mall.manager.enums.es;


import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum CarouselMapPortEnum implements BaseEnum {
    SHOP("SHOP","商城"),
    ESHOP("ESHOP","二手商城"),
    YJHX("YJHX","以旧换新入口")
    ;

    @EnumValue
    @JsonValue
    private final String key;

    private final String remark;

    @JsonCreator(mode = JsonCreator.Mode.DELEGATING)
    public static CarouselMapPortEnum create(String key) {
        return BaseEnum.keyToEnum(CarouselMapPortEnum.class, key);
    }
}
